# applyAbilityOverrideToPokemon | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyAbilityOverrideToPokemon

- applyAbilityOverrideToPokemon(pokemon: default , ability: Abilities ): void

  Permanently overrides the ability (not passive) of a pokemon. If the pokemon is a fusion, instead overrides the fused pokemon's ability.

  #### Parameters

  - pokemon: default
  - ability: Abilities

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:1027